Index: src/sas/sasgui/guiframe/CategoryInstaller.py
===================================================================
--- src/sas/sasgui/guiframe/CategoryInstaller.py	(revision ddbac6633a1e7ec42b99bb39f46b9889ccf26084)
+++ src/sas/sasgui/guiframe/CategoryInstaller.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -16,4 +16,6 @@
 
 USER_FILE = 'categories.json'
+
+logger = logging.getLogger(__name__)
 
 class CategoryInstaller:
@@ -114,5 +116,5 @@
     @staticmethod
     def get_default_file():
-        logging.warning("CategoryInstaller.get_default_file is deprecated.")
+        logger.warning("CategoryInstaller.get_default_file is deprecated.")
 
     @staticmethod
@@ -153,5 +155,5 @@
                         model_enabled_dict.pop(model_name)
                     except:
-                        logging.error("CategoryInstaller: %s", sys.exc_value)
+                        logger.error("CategoryInstaller: %s", sys.exc_value)
                 else:
                     add_list.remove(model_name)
Index: src/sas/sasgui/guiframe/CategoryManager.py
===================================================================
--- src/sas/sasgui/guiframe/CategoryManager.py	(revision 212bfc297ca102b648c949f030d3d06a4c569fa3)
+++ src/sas/sasgui/guiframe/CategoryManager.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -20,4 +20,6 @@
 from sas.sasgui.guiframe.CategoryInstaller import CategoryInstaller
 IS_MAC = (sys.platform == 'darwin')
+
+logger = logging.getLogger(__name__)
 
 """ Notes
@@ -373,5 +375,5 @@
                     self.master_category_dict = json.load(f)
         except IOError:
-            logging.error('Problem reading in category file.')
+            logger.error('Problem reading in category file.')
 
         self._regenerate_model_dict()
Index: src/sas/sasgui/guiframe/config.py
===================================================================
--- src/sas/sasgui/guiframe/config.py	(revision 1779e727216b236f9fc4d683fa29295ad44ed2ed)
+++ src/sas/sasgui/guiframe/config.py	(revision 64ca561b6b264f63b4d7d09a6582f1f3330ae720)
@@ -7,4 +7,7 @@
 import sas.sasview
 import logging
+
+
+logger = logging.getLogger(__name__)
 
 # Version of the application
@@ -57,5 +60,5 @@
 
 icon_path = os.path.abspath(os.path.join(os.path.dirname(__file__), "images"))
-logging.info("icon path: %s" % icon_path)
+logger.info("icon path: %s" % icon_path)
 media_path = os.path.abspath(os.path.join(os.path.dirname(__file__), "media"))
 test_path = os.path.abspath(os.path.join(os.path.dirname(__file__), "test"))
Index: src/sas/sasgui/guiframe/data_manager.py
===================================================================
--- src/sas/sasgui/guiframe/data_manager.py	(revision 2ffe241a82548f1c3017267ebe33cb91ce512e31)
+++ src/sas/sasgui/guiframe/data_manager.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -25,4 +25,6 @@
 from sas.sasgui.guiframe.dataFitting import Data2D
 import time
+
+logger = logging.getLogger(__name__)
 
 class DataManager(object):
@@ -136,5 +138,5 @@
                 msg = "Data manager already stores %s" % str(data.name)
                 msg += ""
-                logging.info(msg)
+                logger.info(msg)
                 data_state = self.stored_data[id]
                 data_state.data = data
Index: src/sas/sasgui/guiframe/documentation_window.py
===================================================================
--- src/sas/sasgui/guiframe/documentation_window.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/documentation_window.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -20,4 +20,6 @@
 import urllib
 import sys
+
+logger = logging.getLogger(__name__)
 
 SPHINX_DOC_ENV = "SASVIEW_DOC_PATH"
@@ -71,5 +73,5 @@
 
         if not os.path.exists(file_path):
-            logging.error("Could not find Sphinx documentation at %s \
+            logger.error("Could not find Sphinx documentation at %s \
             -- has it been built?", file_path)
         elif WX_SUPPORTS_HTML2:
@@ -79,5 +81,5 @@
             self.Show()
         else:
-            logging.error("No html2 support, popping up a web browser")
+            logger.error("No html2 support, popping up a web browser")
             #For cases that do not build against current version dependency
             # Wx 3.0 we provide a webbrowser call - this is particularly for
Index: src/sas/sasgui/guiframe/gui_manager.py
===================================================================
--- src/sas/sasgui/guiframe/gui_manager.py	(revision 73cbeec4f3f2dfd3c530e5782984529dc2c133b2)
+++ src/sas/sasgui/guiframe/gui_manager.py	(revision 64ca561b6b264f63b4d7d09a6582f1f3330ae720)
@@ -48,6 +48,7 @@
 from matplotlib import _pylab_helpers
 
+logger = logging.getLogger(__name__)
+
 warnings.simplefilter("ignore")
-
 
 def get_app_dir():
@@ -64,10 +65,10 @@
     if os.path.isfile(os.path.join(app_path, "custom_config.py")):
         app_path = os.path.abspath(app_path)
-        logging.info("Using application path: %s", app_path)
+        logger.info("Using application path: %s", app_path)
         return app_path
 
     # Next, try the current working directory
     if os.path.isfile(os.path.join(os.getcwd(), "custom_config.py")):
-        logging.info("Using application path: %s", os.getcwd())
+        logger.info("Using application path: %s", os.getcwd())
         return os.path.abspath(os.getcwd())
 
@@ -76,9 +77,9 @@
     # clean all these module variables and put them into a config class
     # that can be passed by sasview.py.
-    logging.info(sys.executable)
-    logging.info(str(sys.argv))
+    logger.info(sys.executable)
+    logger.info(str(sys.argv))
     from sas import sasview as sasview
     app_path = os.path.dirname(sasview.__file__)
-    logging.info("Using application path: %s", app_path)
+    logger.info("Using application path: %s", app_path)
     return app_path
 
@@ -104,9 +105,9 @@
         config_module = imp.load_module(file, fObj, path_config, descr)
     except:
-        logging.error("Error loading %s/%s: %s" % (path, file, sys.exc_value))
+        logger.error("Error loading %s/%s: %s" % (path, file, sys.exc_value))
     finally:
         if fObj is not None:
             fObj.close()
-    logging.info("GuiManager loaded %s/%s" % (path, file))
+    logger.info("GuiManager loaded %s/%s" % (path, file))
     return config_module
 
@@ -125,9 +126,9 @@
         # Didn't find local config, load the default
         import sas.sasgui.guiframe.config as config
-        logging.info("using default local_config")
+        logger.info("using default local_config")
     else:
-        logging.info("found local_config in %s" % os.getcwd())
+        logger.info("found local_config in %s" % os.getcwd())
 else:
-    logging.info("found local_config in %s" % PATH_APP)
+    logger.info("found local_config in %s" % PATH_APP)
 
 from sas.sasgui.guiframe.customdir import SetupCustom
@@ -138,9 +139,9 @@
     if custom_config is None:
         msgConfig = "Custom_config file was not imported"
-        logging.info(msgConfig)
+        logger.info(msgConfig)
     else:
-        logging.info("using custom_config in %s" % os.getcwd())
+        logger.info("using custom_config in %s" % os.getcwd())
 else:
-    logging.info("using custom_config from %s" % c_conf_dir)
+    logger.info("using custom_config from %s" % c_conf_dir)
 
 # read some constants from config
@@ -374,5 +375,5 @@
                     frame.SetIcon(icon)
                 except:
-                    logging.error("ViewerFrame.put_icon: could not set icon")
+                    logger.error("ViewerFrame.put_icon: could not set icon")
 
     def get_client_size(self):
@@ -803,5 +804,5 @@
                                                 str(self._input_file))
             msg += str(sys.exc_value) + '\n'
-            logging.error(msg)
+            logger.error(msg)
         if self._data_panel is not None and len(self.plugins) > 0:
             self._data_panel.fill_cbox_analysis(self.plugins)
@@ -869,10 +870,10 @@
             if plugin.__class__ == item.__class__:
                 msg = "Plugin %s already loaded" % plugin.sub_menu
-                logging.info(msg)
+                logger.info(msg)
                 is_loaded = True
         if not is_loaded:
             self.plugins.append(plugin)
             msg = "Plugin %s appended" % plugin.sub_menu
-            logging.info(msg)
+            logger.info(msg)
 
     def _get_local_plugins(self):
@@ -894,5 +895,5 @@
                 msg = "ViewerFrame._get_local_plugins:"
                 msg += "cannot import dataloader plugin.\n %s" % sys.exc_value
-                logging.error(msg)
+                logger.error(msg)
         if style2 == GUIFRAME.PLOTTING_ON:
             try:
@@ -904,5 +905,5 @@
                 msg = "ViewerFrame._get_local_plugins:"
                 msg += "cannot import plotting plugin.\n %s" % sys.exc_value
-                logging.error(msg)
+                logger.error(msg)
 
         return plugins
@@ -949,5 +950,5 @@
                                 plugins.append(module.Plugin())
                                 msg = "Found plug-in: %s" % module.PLUGIN_ID
-                                logging.info(msg)
+                                logger.info(msg)
                             except:
                                 msg = "Error accessing PluginPanel"
@@ -956,5 +957,5 @@
                     except:
                         msg = "ViewerFrame._find_plugins: %s" % sys.exc_value
-                        logging.error(msg)
+                        logger.error(msg)
                     finally:
                         if file is not None:
@@ -963,5 +964,5 @@
             # Should raise and catch at a higher level and
             # display error on status bar
-            logging.error(sys.exc_value)
+            logger.error(sys.exc_value)
 
         return plugins
@@ -1385,5 +1386,5 @@
 
         if config._do_aboutbox:
-            logging.info("Doing help menu")
+            logger.info("Doing help menu")
             wx_id = wx.NewId()
             self._help_menu.Append(wx_id, '&About', 'Software information')
@@ -1746,5 +1747,5 @@
                 del self.panels[ID]
         else:
-            logging.error("delete_panel: No such plot id as %s" % ID)
+            logger.error("delete_panel: No such plot id as %s" % ID)
 
     def create_gui_data(self, data, path=None):
@@ -1763,5 +1764,5 @@
             log_msg += "load: %s\n" % str(basename)
             log_msg += "Try Data opening...."
-            logging.error(log_msg)
+            logger.error(log_msg)
             return
 
@@ -1843,5 +1844,5 @@
             log_msg += "load: %s\n" % str(path)
             log_msg += "Try File opening ...."
-            logging.error(log_msg)
+            logger.error(log_msg)
             return
         log_msg = ''
@@ -1849,5 +1850,5 @@
         error_message = ""
         try:
-            logging.info("Loading Data...:\n" + str(path) + "\n")
+            logger.info("Loading Data...:\n" + str(path) + "\n")
             temp = self.loader.load(path)
             if temp.__class__.__name__ == "list":
@@ -1864,5 +1865,5 @@
             error_message += " Data from cmd:\n %s\n" % str(path)
             error_message += str(sys.exc_value) + "\n"
-            logging.error(error_message)
+            logger.error(error_message)
 
     def load_folder(self, path):
@@ -1885,5 +1886,5 @@
             error_message += " Data folder from cmd:\n %s\n" % str(path)
             error_message += str(sys.exc_value) + "\n"
-            logging.error(error_message)
+            logger.error(error_message)
 
     def _on_open_state_application(self, event):
@@ -2044,5 +2045,5 @@
                 msg += "and model selected. "
                 msg += "No project was saved to %s" % (str(path))
-                logging.warning(msg)
+                logger.warning(msg)
                 wx.PostEvent(self, StatusEvent(status=msg, info="error"))
         except Exception:
@@ -2111,5 +2112,5 @@
         #IF SAS_OPENCL is set, settings are stored in the custom config file
         self._write_opencl_config_file()
-        logging.info(" --- SasView session was closed --- \n")
+        logger.info(" --- SasView session was closed --- \n")
         wx.Exit()
         sys.exit()
@@ -2140,5 +2141,5 @@
             new_config_file.close()
         else:
-            logging.info("Failed to save OPENCL settings in custom config file")
+            logger.info("Failed to save OPENCL settings in custom config file")
 
 
@@ -2157,9 +2158,9 @@
                 # 
                 content = response.read().strip()
-                logging.info("Connected to www.sasview.org. Latest version: %s"
+                logger.info("Connected to www.sasview.org. Latest version: %s"
                              % (content))
                 version_info = json.loads(content)
             except:
-                logging.info("Failed to connect to www.sasview.org")
+                logger.info("Failed to connect to www.sasview.org")
         self._process_version(version_info, standalone=event is None)
 
@@ -2201,5 +2202,5 @@
             msg = "guiframe: could not get latest application"
             msg += " version number\n  %s" % sys.exc_value
-            logging.error(msg)
+            logger.error(msg)
             if not standalone:
                 msg = "Could not connect to the application server."
@@ -2248,13 +2249,13 @@
                     dialog.Show(True)
                 except:
-                    logging.error("Error in _onTutorial: %s" % sys.exc_value)
+                    logger.error("Error in _onTutorial: %s" % sys.exc_value)
                     try:
                         # Try an alternate method
-                        logging.error(
+                        logger.error(
                             "Could not open the tutorial pdf, trying xhtml2pdf")
                         from xhtml2pdf import pisa
                         pisa.startViewer(path)
                     except:
-                        logging.error(
+                        logger.error(
                             "Could not open the tutorial pdf with xhtml2pdf")
                         msg = "This feature requires 'PDF Viewer'\n"
@@ -2267,10 +2268,10 @@
                     try:
                         # Try an alternate method
-                        logging.error(
+                        logger.error(
                             "Could not open the tutorial pdf, trying xhtml2pdf")
                         from xhtml2pdf import pisa
                         pisa.startViewer(path)
                     except:
-                        logging.error(
+                        logger.error(
                             "Could not open the tutorial pdf with xhtml2pdf")
                         msg = "This feature requires the Preview application\n"
@@ -2411,5 +2412,5 @@
         else:
             msg = "Guiframe does not have a current perspective"
-            logging.info(msg)
+            logger.info(msg)
 
     def set_theory(self, state_id, theory_id=None):
@@ -2422,9 +2423,9 @@
             except:
                 msg = "Guiframe set_theory: \n" + str(sys.exc_value)
-                logging.info(msg)
+                logger.info(msg)
                 wx.PostEvent(self, StatusEvent(status=msg, info="error"))
         else:
             msg = "Guiframe does not have a current perspective"
-            logging.info(msg)
+            logger.info(msg)
 
     def plot_data(self, state_id, data_id=None,
@@ -2508,5 +2509,5 @@
                                             action='remove'))
         except:
-            logging.error(sys.exc_value)
+            logger.error(sys.exc_value)
 
     def save_data1d(self, data, fname):
@@ -3306,5 +3307,5 @@
             msg = "%s Could not load " % str(APPLICATION_NAME)
             msg += "input file from command line.\n"
-            logging.error(msg)
+            logger.error(msg)
         # Display a splash screen on top of the frame.
         try:
@@ -3320,5 +3321,5 @@
             msg = "Cannot display splash screen\n"
             msg += str(sys.exc_value)
-            logging.error(msg)
+            logger.error(msg)
             self.frame.Show()
 
@@ -3375,5 +3376,5 @@
                             os.remove(file_path)
                 except:
-                    logging.error("gui_manager.clean_plugin_models:\n  %s"
+                    logger.error("gui_manager.clean_plugin_models:\n  %s"
                                   % sys.exc_value)
 
Index: src/sas/sasgui/guiframe/gui_statusbar.py
===================================================================
--- src/sas/sasgui/guiframe/gui_statusbar.py	(revision 3a22ce7eba1200abb7dc9bd39b61eba90f2cce03)
+++ src/sas/sasgui/guiframe/gui_statusbar.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -12,4 +12,6 @@
 from sas.sasgui.guiframe.gui_style import GUIFRAME_ICON
 
+logger = logging.getLogger(__name__)
+
 # Number of fields on the status bar
 NB_FIELDS = 4
@@ -71,10 +73,10 @@
             icon_type = event.info.lower()
             if icon_type == "warning":
-                logging.warning(status)
+                logger.warning(status)
                 color = (0, 0, 255) # blue
                 icon_bmp = wx.ArtProvider.GetBitmap(wx.ART_WARNING,
                                                     wx.ART_TOOLBAR)
             if icon_type == "error":
-                logging.error(status)
+                logger.error(status)
                 color = (255, 0, 0) # red
                 icon_bmp = wx.ArtProvider.GetBitmap(wx.ART_ERROR,
Index: src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py	(revision a674d0b7da37ed36693004d2d51e0941ed38842f)
+++ src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -7,4 +7,6 @@
 import wx
 import logging
+
+logger = logging.getLogger(__name__)
 
 from sas.sascalc.dataloader.loader import Loader
@@ -160,5 +162,5 @@
                 message += "\tError: {0}\n".format(error_data)
         else:
-            logging.error("Loader returned an invalid object:\n %s" % str(item))
+            logger.error("Loader returned an invalid object:\n %s" % str(item))
             data_error = True
 
@@ -182,5 +184,5 @@
                 log_msg += "Please try to open that file from \"open project\""
                 log_msg += "or \"open analysis\" menu."
-                logging.info(log_msg)
+                logger.info(log_msg)
                 file_errors[basename] = [log_msg]
                 continue
@@ -212,5 +214,5 @@
 
             except:
-                logging.error(sys.exc_value)
+                logger.error(sys.exc_value)
 
                 error_message = "The Data file you selected could not be loaded.\n"
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -24,4 +24,6 @@
 from appearanceDialog import appearanceDialog
 from graphAppearance import graphAppearance
+
+logger = logging.getLogger(__name__)
 
 DEFAULT_QMAX = 0.05
@@ -242,5 +244,5 @@
                     wx.PostEvent(self.parent, StatusEvent(status=position))
             except:
-                logging.error(sys.exc_value)
+                logger.error(sys.exc_value)
             if not event.leftdown:
                 # text event
@@ -255,5 +257,5 @@
                         self.canvas.draw()
                 except:
-                    logging.error(sys.exc_value)
+                    logger.error(sys.exc_value)
                 event.Skip()
                 return
@@ -409,5 +411,5 @@
             self.q_ctrl[vl_ind].SetValue(str(pos_x))
         except:
-            logging.error(sys.exc_value)
+            logger.error(sys.exc_value)
 
     def set_resizing(self, resizing=False):
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py	(revision dfa1579dc713e50371113a003b4c13111ea45202)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -30,4 +30,6 @@
 from graphAppearance import graphAppearance
 (InternalEvent, EVT_INTERNAL) = wx.lib.newevent.NewEvent()
+
+logger = logging.getLogger(__name__)
 
 DEFAULT_QMAX = 0.05
@@ -433,5 +435,5 @@
             except:
                 msg = "Add Text: Error. Check your property values..."
-                logging.error(msg)
+                logger.error(msg)
                 if self.parent != None:
                     wx.PostEvent(self.parent, StatusEvent(status=msg))
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/binder.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/binder.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/binder.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -4,4 +4,6 @@
 import logging
 import sys
+
+logger = logging.getLogger(__name__)
 
 class Selection(object):
@@ -70,5 +72,5 @@
             canvas.mpl_disconnect(canvas.scroll_pick_id)
         except:
-            logging.error(sys.exc_value)
+            logger.error(sys.exc_value)
         self.canvas = canvas
         self.figure = figure
Index: src/sas/sasgui/guiframe/media/data_formats_help.rst
===================================================================
--- src/sas/sasgui/guiframe/media/data_formats_help.rst	(revision 98c44f371117c50474cf421ea0e45b19c0d87d9e)
+++ src/sas/sasgui/guiframe/media/data_formats_help.rst	(revision 76c44696598f3a67738b403fd2fe611bd0e62075)
@@ -86,5 +86,5 @@
 
 - Spin echo length (z, in Angstroms)
-- depolarization (:math:`log(P/P_0)/(lambda^2 * thickness)`, in Angstrom^-1 cm^-1)
+- depolarization (:math:`log(P/P_0)/(lambda^2 * thickness)`, in Angstrom :sup:`-1` cm :sup:`-1`\ )
 - depolarization error in the same unit) (measurement error)
 - Spin echo length error (:math:`\Delta`\ z, in Angstroms) (experimental resolution)
Index: src/sas/sasgui/guiframe/proxy.py
===================================================================
--- src/sas/sasgui/guiframe/proxy.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/proxy.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -6,4 +6,7 @@
 import logging
 import re
+
+
+logger = logging.getLogger(__name__)
 
 '''
@@ -71,11 +74,11 @@
         proxy_url_list = []
         for this_pac_url in pac_urls_list:
-            logging.debug('Trying pac file (%s)...' % this_pac_url)
+            logger.debug('Trying pac file (%s)...' % this_pac_url)
             try:
                 response = urllib2.urlopen(
                     this_pac_url, timeout=self.timeout)
-                logging.debug('Succeeded (%s)...' % this_pac_url)
+                logger.debug('Succeeded (%s)...' % this_pac_url)
             except Exception:
-                logging.debug('Failled (%s)...' % this_pac_url)
+                logger.debug('Failled (%s)...' % this_pac_url)
                 continue
             pacStr = response.read()
@@ -120,30 +123,30 @@
         response = None
         try:
-            logging.debug("Trying Direct connection to %s..."%self.url)
+            logger.debug("Trying Direct connection to %s..."%self.url)
             response = urllib2.urlopen(req, timeout=self.timeout)
         except Exception, e:
-            logging.debug("Failed!")
-            logging.debug(e)
+            logger.debug("Failed!")
+            logger.debug(e)
             try:
-                logging.debug("Trying to use system proxy if it exists...")
+                logger.debug("Trying to use system proxy if it exists...")
                 self._set_proxy()
                 response = urllib2.urlopen(req, timeout=self.timeout)
             except Exception, e:
-                logging.debug("Failed!")
-                logging.debug(e)
+                logger.debug("Failed!")
+                logger.debug(e)
                 pac_urls = self._get_addresses_of_proxy_pac()
                 proxy_urls = self._parse_proxy_pac(pac_urls)
                 for proxy in proxy_urls:
                     try:
-                        logging.debug("Trying to use the proxy %s found in proxy.pac configuration"%proxy)
+                        logger.debug("Trying to use the proxy %s found in proxy.pac configuration"%proxy)
                         self._set_proxy(proxy)
                         response = urllib2.urlopen(req, timeout=self.timeout)
                     except Exception, e:
-                        logging.debug("Failed!")
-                        logging.debug(e)
+                        logger.debug("Failed!")
+                        logger.debug(e)
         if response is not None:
-            logging.debug("The connection to %s was successful."%self.url)
+            logger.debug("The connection to %s was successful."%self.url)
         else:
-            logging.warning("Connection to %s failed..."%self.url)
+            logger.warning("Connection to %s failed..."%self.url)
         return response
 
Index: src/sas/sasgui/guiframe/report_dialog.py
===================================================================
--- src/sas/sasgui/guiframe/report_dialog.py	(revision 6dd6e32012f292ecf1f21bdca4ad872eb94b706c)
+++ src/sas/sasgui/guiframe/report_dialog.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -7,4 +7,6 @@
 import sys
 import wx.html as html
+
+logger = logging.getLogger(__name__)
 
 ISPDF = False
@@ -135,5 +137,5 @@
             return pisaStatus.err
         except:
-            logging.error("Error creating pdf: %s" % sys.exc_value)
+            logger.error("Error creating pdf: %s" % sys.exc_value)
         return False
 
